#include "locmin.h"
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;

#define MAXM 500

int v[MAXM+1];

pair<int,int> find_locmin_point(int N,int M){
  int l,c,bestl,bestc;
  long long minval=LLONG_MAX;

  for(c=1;c<=M/2;c++){
    if(value(1,c)<minval){
      minval=value(1,c);
      bestc=c;
    }
  }

  return {1,bestc};
}
